/********************************************************
* MDiagdict.cxx
********************************************************/
#include "MDiagdict.h"

#ifdef G__MEMTEST
#undef malloc
#endif

extern "C" void G__cpp_reset_tagtableMDiagdict();

extern "C" void G__set_cpp_environmentMDiagdict() {
  G__add_macro("__MAKECINT__");
  G__add_compiledheader("TROOT.h");
  G__add_compiledheader("TMemberInspector.h");
  G__add_compiledheader("MDiag.h");
  G__cpp_reset_tagtableMDiagdict();
}
extern "C" int G__cpp_dllrevMDiagdict() { return(51111); }

/*********************************************************
* Member function Interface Method
*********************************************************/

/* MDiagEventobject */
static int G__MDiagEventobject_MDiagEventobject_0_0(G__value *result7,char *funcname,struct G__param *libp,int hash) {
   MDiagEventobject *p=NULL;
   if(G__getaryconstruct()) p=new MDiagEventobject[G__getaryconstruct()];
   else                    p=new MDiagEventobject;
      result7->obj.i = (long)p;
      result7->ref = (long)p;
      result7->type = 'u';
      result7->tagnum = G__get_linked_tagnum(&G__MDiagdictLN_MDiagEventobject);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__MDiagEventobject_DeclFileName_2_0(G__value *result7,char *funcname,struct G__param *libp,int hash) {
      G__letint(result7,67,(long)((MDiagEventobject*)(G__getstructoffset()))->DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__MDiagEventobject_DeclFileLine_3_0(G__value *result7,char *funcname,struct G__param *libp,int hash) {
      G__letint(result7,105,(long)((MDiagEventobject*)(G__getstructoffset()))->DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__MDiagEventobject_ImplFileName_4_0(G__value *result7,char *funcname,struct G__param *libp,int hash) {
      G__letint(result7,67,(long)((MDiagEventobject*)(G__getstructoffset()))->ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__MDiagEventobject_ImplFileLine_5_0(G__value *result7,char *funcname,struct G__param *libp,int hash) {
      G__letint(result7,105,(long)((MDiagEventobject*)(G__getstructoffset()))->ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__MDiagEventobject_Class_Version_6_0(G__value *result7,char *funcname,struct G__param *libp,int hash) {
      G__letint(result7,115,(long)((MDiagEventobject*)(G__getstructoffset()))->Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__MDiagEventobject_Class_7_0(G__value *result7,char *funcname,struct G__param *libp,int hash) {
      G__letint(result7,85,(long)((MDiagEventobject*)(G__getstructoffset()))->Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__MDiagEventobject_Dictionary_8_0(G__value *result7,char *funcname,struct G__param *libp,int hash) {
      G__setnull(result7);
      ((MDiagEventobject*)(G__getstructoffset()))->Dictionary();
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__MDiagEventobject_IsA_9_0(G__value *result7,char *funcname,struct G__param *libp,int hash) {
      G__letint(result7,85,(long)((MDiagEventobject*)(G__getstructoffset()))->IsA());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__MDiagEventobject_ShowMembers_0_1(G__value *result7,char *funcname,struct G__param *libp,int hash) {
      G__setnull(result7);
      ((MDiagEventobject*)(G__getstructoffset()))->ShowMembers(*(TMemberInspector*)libp->para[0].ref,(char*)G__int(libp->para[1]));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__MDiagEventobject_Streamer_1_1(G__value *result7,char *funcname,struct G__param *libp,int hash) {
      G__setnull(result7);
      ((MDiagEventobject*)(G__getstructoffset()))->Streamer(*(TBuffer*)libp->para[0].ref);
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic copy constructor
static int G__MDiagEventobject_MDiagEventobject_2_1(G__value *result7,char *funcname,struct G__param *libp,int hash)
{
   MDiagEventobject *p;
   if(1!=libp->paran) ;
   p=new MDiagEventobject(*(MDiagEventobject*)G__int(libp->para[0]));
   result7->obj.i = (long)p;
   result7->ref = (long)p;
   result7->type = 'u';
   result7->tagnum = G__get_linked_tagnum(&G__MDiagdictLN_MDiagEventobject);
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
static int G__MDiagEventobject_wAMDiagEventobject_3_1(G__value *result7,char *funcname,struct G__param *libp,int hash) {
   if(G__getaryconstruct())
     if(G__PVOID==G__getgvp())
       delete[] (MDiagEventobject *)(G__getstructoffset());
     else
       for(int i=G__getaryconstruct()-1;i>=0;i--)
         delete (MDiagEventobject *)((G__getstructoffset())+sizeof(MDiagEventobject)*i);
   else  delete (MDiagEventobject *)(G__getstructoffset());
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* Setting up global function */

/*********************************************************
* Member function Stub
*********************************************************/

/* MDiagEventobject */

/*********************************************************
* Global function Stub
*********************************************************/

/*********************************************************
* Get size of pointer to member function
*********************************************************/
class G__Sizep2memfuncMDiagdict {
 public:
  G__Sizep2memfuncMDiagdict() {p=&G__Sizep2memfuncMDiagdict::sizep2memfunc;}
    size_t sizep2memfunc() { return(sizeof(p)); }
  private:
    size_t (G__Sizep2memfuncMDiagdict::*p)();
};

size_t G__get_sizep2memfuncMDiagdict()
{
  G__Sizep2memfuncMDiagdict a;
  G__setsizep2memfunc((int)a.sizep2memfunc());
  return((size_t)a.sizep2memfunc());
}


/*********************************************************
* virtual base class offset calculation interface
*********************************************************/

   /* Setting up class inheritance */

/*********************************************************
* Inheritance information setup/
*********************************************************/
extern "C" void G__cpp_setup_inheritanceMDiagdict() {

   /* Setting up class inheritance */
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__MDiagdictLN_MDiagEventobject))) {
     MDiagEventobject *G__Lderived;
     G__Lderived=(MDiagEventobject*)0x1000;
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__MDiagdictLN_MDiagEventobject),G__get_linked_tagnum(&G__MDiagdictLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
   }
}

/*********************************************************
* typedef information setup/
*********************************************************/
extern "C" void G__cpp_setup_typetableMDiagdict() {

   /* Setting up typedef entry */
   G__search_typename2("Char_t",99,-1,0,
-1);
   G__setnewtype(-1,"Signed Character 1 byte",0);
   G__search_typename2("UChar_t",98,-1,0,
-1);
   G__setnewtype(-1,"Unsigned Character 1 byte",0);
   G__search_typename2("Short_t",115,-1,0,
-1);
   G__setnewtype(-1,"Signed Short integer 2 bytes",0);
   G__search_typename2("UShort_t",114,-1,0,
-1);
   G__setnewtype(-1,"Unsigned Short integer 2 bytes",0);
   G__search_typename2("Int_t",105,-1,0,
-1);
   G__setnewtype(-1,"Signed integer 4 bytes",0);
   G__search_typename2("UInt_t",104,-1,0,
-1);
   G__setnewtype(-1,"Unsigned integer 4 bytes",0);
   G__search_typename2("Seek_t",105,-1,0,
-1);
   G__setnewtype(-1,"File pointer",0);
   G__search_typename2("Long_t",108,-1,0,
-1);
   G__setnewtype(-1,"Signed long integer 8 bytes",0);
   G__search_typename2("ULong_t",107,-1,0,
-1);
   G__setnewtype(-1,"Unsigned long integer 8 bytes",0);
   G__search_typename2("Float_t",102,-1,0,
-1);
   G__setnewtype(-1,"Float 4 bytes",0);
   G__search_typename2("Double_t",100,-1,0,
-1);
   G__setnewtype(-1,"Float 8 bytes",0);
   G__search_typename2("Text_t",99,-1,0,
-1);
   G__setnewtype(-1,"General string",0);
   G__search_typename2("Bool_t",98,-1,0,
-1);
   G__setnewtype(-1,"Boolean (0=false, 1=true)",0);
   G__search_typename2("Byte_t",98,-1,0,
-1);
   G__setnewtype(-1,"Byte (8 bits)",0);
   G__search_typename2("Version_t",115,-1,0,
-1);
   G__setnewtype(-1,"Class version identifier",0);
   G__search_typename2("Option_t",99,-1,0,
-1);
   G__setnewtype(-1,"Option string",0);
   G__search_typename2("Ssiz_t",105,-1,0,
-1);
   G__setnewtype(-1,"String size",0);
   G__search_typename2("Real_t",102,-1,0,
-1);
   G__setnewtype(-1,"TVector and TMatrix element type",0);
   G__search_typename2("VoidFuncPtr_t",89,-1,0,
-1);
   G__setnewtype(-1,"pointer to void function",0);
   G__search_typename2("FreeHookFun_t",89,-1,0,
-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ReAllocFun_t",81,-1,0,
-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ReAllocCFun_t",81,-1,0,
-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("Axis_t",102,-1,0,
-1);
   G__setnewtype(-1,"Axis values type",0);
   G__search_typename2("Stat_t",100,-1,0,
-1);
   G__setnewtype(-1,"Statistics type",0);
   G__search_typename2("Font_t",115,-1,0,
-1);
   G__setnewtype(-1,"Font number",0);
   G__search_typename2("Style_t",115,-1,0,
-1);
   G__setnewtype(-1,"Style number",0);
   G__search_typename2("Marker_t",115,-1,0,
-1);
   G__setnewtype(-1,"Marker number",0);
   G__search_typename2("Width_t",115,-1,0,
-1);
   G__setnewtype(-1,"Line width",0);
   G__search_typename2("Color_t",115,-1,0,
-1);
   G__setnewtype(-1,"Color number",0);
   G__search_typename2("SCoord_t",115,-1,0,
-1);
   G__setnewtype(-1,"Screen coordinates",0);
   G__search_typename2("Coord_t",102,-1,0,
-1);
   G__setnewtype(-1,"Pad world coordinates",0);
   G__search_typename2("Angle_t",102,-1,0,
-1);
   G__setnewtype(-1,"Graphics angle",0);
   G__search_typename2("Size_t",102,-1,0,
-1);
   G__setnewtype(-1,"Attribute size",0);
}

/*********************************************************
* Data Member information setup/
*********************************************************/

   /* Setting up class,struct,union tag member variable */

   /* MDiagEventobject */
static void G__setup_memvarMDiagEventobject(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__MDiagdictLN_MDiagEventobject));
   { MDiagEventobject *p; p=(MDiagEventobject*)0x1000; if (p) { }
   G__memvar_setup((void*)((long)(&p->n)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"n=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->primary)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"primary=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->energy)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"energy=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->cored)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"cored=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->impact)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"impact=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->xcore)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"xcore=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->ycore)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"ycore=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->theta)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"theta=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->phi)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"phi=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->deviations)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"deviations=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->dtheta)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"dtheta=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->dphi)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"dphi=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->trigger)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"trigger=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->ncphs)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"ncphs=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->maxpassthr_phe)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"maxpassthr_phe=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->nphes)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"nphes=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->nphes2)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"nphes2=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->length)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"length=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->width)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"width=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->dist)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"dist=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->xdist)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"xdist=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->azw)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"azw=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->miss)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"miss=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->alpha)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"alpha=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->conc2)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"conc2=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->conc3)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"conc3=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->conc4)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"conc4=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->conc5)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"conc5=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->conc6)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"conc6=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->conc7)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"conc7=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->conc8)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"conc8=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->conc9)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"conc9=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->conc10)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"conc10=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->asymx)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"asymx=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->asymy)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"asymy=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->phiasym)-(long)(p)),102,0,0,-1,G__defined_typename("Float_t"),-1,1,"phiasym=",0,(char*)NULL);
   G__memvar_setup((void*)NULL,85,0,0,G__get_linked_tagnum(&G__MDiagdictLN_TClass),-1,-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}

extern "C" void G__cpp_setup_memvarMDiagdict() {
}
/***********************************************************
************************************************************
************************************************************
************************************************************
************************************************************
************************************************************
************************************************************
***********************************************************/

/*********************************************************
* Member function information setup for each class
*********************************************************/
static void G__setup_memfuncMDiagEventobject(void) {
   /* MDiagEventobject */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__MDiagdictLN_MDiagEventobject));
   G__memfunc_setup("MDiagEventobject",1595,G__MDiagEventobject_MDiagEventobject_0_0,105,G__get_linked_tagnum(&G__MDiagdictLN_MDiagEventobject),-1,0,0,1,1,0,"",(char*)NULL,(void*)NULL,0);
   G__memfunc_setup("DeclFileName",1145,G__MDiagEventobject_DeclFileName_2_0,67,-1,-1,0,0,1,1,1,"",(char*)NULL,(void*)NULL,0);
   G__memfunc_setup("DeclFileLine",1152,G__MDiagEventobject_DeclFileLine_3_0,105,-1,-1,0,0,1,1,0,"",(char*)NULL,(void*)NULL,0);
   G__memfunc_setup("ImplFileName",1171,G__MDiagEventobject_ImplFileName_4_0,67,-1,-1,0,0,1,1,1,"",(char*)NULL,(void*)NULL,0);
   G__memfunc_setup("ImplFileLine",1178,G__MDiagEventobject_ImplFileLine_5_0,105,-1,-1,0,0,1,1,0,"",(char*)NULL,(void*)NULL,0);
   G__memfunc_setup("Class_Version",1339,G__MDiagEventobject_Class_Version_6_0,115,-1,G__defined_typename("Version_t"),0,0,1,1,0,"",(char*)NULL,(void*)NULL,0);
   G__memfunc_setup("Class",502,G__MDiagEventobject_Class_7_0,85,G__get_linked_tagnum(&G__MDiagdictLN_TClass),-1,0,0,1,1,0,"",(char*)NULL,(void*)NULL,0);
   G__memfunc_setup("Dictionary",1046,G__MDiagEventobject_Dictionary_8_0,121,-1,-1,0,0,1,1,0,"",(char*)NULL,(void*)NULL,0);
   G__memfunc_setup("IsA",253,G__MDiagEventobject_IsA_9_0,85,G__get_linked_tagnum(&G__MDiagdictLN_TClass),-1,0,0,1,1,8,"",(char*)NULL,(void*)NULL,1);
   G__memfunc_setup("ShowMembers",1132,G__MDiagEventobject_ShowMembers_0_1,121,-1,-1,0,2,1,1,0,
"u 'TMemberInspector' - 1 - insp C - - 0 - parent",(char*)NULL,(void*)NULL,1);
   G__memfunc_setup("Streamer",835,G__MDiagEventobject_Streamer_1_1,121,-1,-1,0,1,1,1,0,"u 'TBuffer' - 1 - b",(char*)NULL,(void*)NULL,1);
   // automatic copy constructor
   G__memfunc_setup("MDiagEventobject",1595,G__MDiagEventobject_MDiagEventobject_2_1,(int)('i'),G__get_linked_tagnum(&G__MDiagdictLN_MDiagEventobject),-1,0,1,1,1,0,"u 'MDiagEventobject' - 1 - -",(char*)NULL,(void*)NULL,0);
   // automatic destructor
   G__memfunc_setup("~MDiagEventobject",1721,G__MDiagEventobject_wAMDiagEventobject_3_1,(int)('y'),-1,-1,0,0,1,1,0,"",(char*)NULL,(void*)NULL,1);
   G__tag_memfunc_reset();
}


/*********************************************************
* Member function information setup
*********************************************************/
extern "C" void G__cpp_setup_memfuncMDiagdict() {
}

/*********************************************************
* Global variable information setup for each class
*********************************************************/
extern "C" void G__cpp_setup_globalMDiagdict() {

   /* Setting up global variables */
   G__resetplocal();


   G__resetglobalenv();
}

/*********************************************************
* Global function information setup for each class
*********************************************************/
extern "C" void G__cpp_setup_funcMDiagdict() {
   G__lastifuncposition();


   G__resetifuncposition();
}

/*********************************************************
* Class,struct,union,enum tag information setup
*********************************************************/
/* Setup class/struct taginfo */
G__linked_taginfo G__MDiagdictLN_TClass = { "TClass" , 99 , -1 };
G__linked_taginfo G__MDiagdictLN_TObject = { "TObject" , 99 , -1 };
G__linked_taginfo G__MDiagdictLN_MDiagEventobject = { "MDiagEventobject" , 99 , -1 };

/* Reset class/struct taginfo */
extern "C" void G__cpp_reset_tagtableMDiagdict() {
  G__MDiagdictLN_TClass.tagnum = -1 ;
  G__MDiagdictLN_TObject.tagnum = -1 ;
  G__MDiagdictLN_MDiagEventobject.tagnum = -1 ;
}

extern "C" void G__cpp_setup_tagtableMDiagdict() {

   /* Setting up class,struct,union tag entry */
   G__tagtable_setup(G__get_linked_tagnum(&G__MDiagdictLN_MDiagEventobject),sizeof(MDiagEventobject),-1,0,(char*)NULL,G__setup_memvarMDiagEventobject,G__setup_memfuncMDiagEventobject);
}
extern "C" void G__cpp_setupMDiagdict() {
  G__check_setup_version(51111,"G__cpp_setupMDiagdict()");
  G__set_cpp_environmentMDiagdict();
  G__cpp_setup_tagtableMDiagdict();

  G__cpp_setup_inheritanceMDiagdict();

  G__cpp_setup_typetableMDiagdict();

  G__cpp_setup_memvarMDiagdict();

  G__cpp_setup_memfuncMDiagdict();
  G__cpp_setup_globalMDiagdict();
  G__cpp_setup_funcMDiagdict();

   if(0==G__getsizep2memfunc()) G__get_sizep2memfuncMDiagdict();
  return;
}
class G__cpp_setup_initMDiagdict {
  public:
    G__cpp_setup_initMDiagdict() { G__add_setup_func("MDiagdict",&G__cpp_setupMDiagdict); }
   ~G__cpp_setup_initMDiagdict() { G__remove_setup_func("MDiagdict"); }
};
G__cpp_setup_initMDiagdict G__cpp_setup_initializerMDiagdict;

//
// File generated by /cern/root/bin/rootcint at Fri Oct 29 11:52:06 1999.
// Do NOT change. Changes will be lost next time file is generated
//

#include "TBuffer.h"
#include "TMemberInspector.h"
#include "TError.h"

//______________________________________________________________________________
TBuffer &operator>>(TBuffer &buf, MDiagEventobject *&obj)
{
   // Read a pointer to an object of class MDiagEventobject.

   obj = (MDiagEventobject *) buf.ReadObject(MDiagEventobject::Class());
   return buf;
}

//______________________________________________________________________________
void MDiagEventobject::Streamer(TBuffer &R__b)
{
   // Stream an object of class MDiagEventobject.

   if (R__b.IsReading()) {
      Version_t R__v = R__b.ReadVersion(); if (R__v) { }
      TObject::Streamer(R__b);
      R__b >> n;
      R__b >> primary;
      R__b >> energy;
      R__b >> cored;
      R__b >> impact;
      R__b >> xcore;
      R__b >> ycore;
      R__b >> theta;
      R__b >> phi;
      R__b >> deviations;
      R__b >> dtheta;
      R__b >> dphi;
      R__b >> trigger;
      R__b >> ncphs;
      R__b >> maxpassthr_phe;
      R__b >> nphes;
      R__b >> nphes2;
      R__b >> length;
      R__b >> width;
      R__b >> dist;
      R__b >> xdist;
      R__b >> azw;
      R__b >> miss;
      R__b >> alpha;
      R__b >> conc2;
      R__b >> conc3;
      R__b >> conc4;
      R__b >> conc5;
      R__b >> conc6;
      R__b >> conc7;
      R__b >> conc8;
      R__b >> conc9;
      R__b >> conc10;
      R__b >> asymx;
      R__b >> asymy;
      R__b >> phiasym;
   } else {
      R__b.WriteVersion(MDiagEventobject::IsA());
      TObject::Streamer(R__b);
      R__b << n;
      R__b << primary;
      R__b << energy;
      R__b << cored;
      R__b << impact;
      R__b << xcore;
      R__b << ycore;
      R__b << theta;
      R__b << phi;
      R__b << deviations;
      R__b << dtheta;
      R__b << dphi;
      R__b << trigger;
      R__b << ncphs;
      R__b << maxpassthr_phe;
      R__b << nphes;
      R__b << nphes2;
      R__b << length;
      R__b << width;
      R__b << dist;
      R__b << xdist;
      R__b << azw;
      R__b << miss;
      R__b << alpha;
      R__b << conc2;
      R__b << conc3;
      R__b << conc4;
      R__b << conc5;
      R__b << conc6;
      R__b << conc7;
      R__b << conc8;
      R__b << conc9;
      R__b << conc10;
      R__b << asymx;
      R__b << asymy;
      R__b << phiasym;
   }
}

//______________________________________________________________________________
void MDiagEventobject::ShowMembers(TMemberInspector &R__insp, char *R__parent)
{
   // Inspect the data members of an object of class MDiagEventobject.

   TClass *R__cl  = MDiagEventobject::IsA();
   Int_t   R__ncp = strlen(R__parent);
   if (R__ncp || R__cl || R__insp.IsA()) { }
   R__insp.Inspect(R__cl, R__parent, "n", &n);
   R__insp.Inspect(R__cl, R__parent, "primary", &primary);
   R__insp.Inspect(R__cl, R__parent, "energy", &energy);
   R__insp.Inspect(R__cl, R__parent, "cored", &cored);
   R__insp.Inspect(R__cl, R__parent, "impact", &impact);
   R__insp.Inspect(R__cl, R__parent, "xcore", &xcore);
   R__insp.Inspect(R__cl, R__parent, "ycore", &ycore);
   R__insp.Inspect(R__cl, R__parent, "theta", &theta);
   R__insp.Inspect(R__cl, R__parent, "phi", &phi);
   R__insp.Inspect(R__cl, R__parent, "deviations", &deviations);
   R__insp.Inspect(R__cl, R__parent, "dtheta", &dtheta);
   R__insp.Inspect(R__cl, R__parent, "dphi", &dphi);
   R__insp.Inspect(R__cl, R__parent, "trigger", &trigger);
   R__insp.Inspect(R__cl, R__parent, "ncphs", &ncphs);
   R__insp.Inspect(R__cl, R__parent, "maxpassthr_phe", &maxpassthr_phe);
   R__insp.Inspect(R__cl, R__parent, "nphes", &nphes);
   R__insp.Inspect(R__cl, R__parent, "nphes2", &nphes2);
   R__insp.Inspect(R__cl, R__parent, "length", &length);
   R__insp.Inspect(R__cl, R__parent, "width", &width);
   R__insp.Inspect(R__cl, R__parent, "dist", &dist);
   R__insp.Inspect(R__cl, R__parent, "xdist", &xdist);
   R__insp.Inspect(R__cl, R__parent, "azw", &azw);
   R__insp.Inspect(R__cl, R__parent, "miss", &miss);
   R__insp.Inspect(R__cl, R__parent, "alpha", &alpha);
   R__insp.Inspect(R__cl, R__parent, "conc2", &conc2);
   R__insp.Inspect(R__cl, R__parent, "conc3", &conc3);
   R__insp.Inspect(R__cl, R__parent, "conc4", &conc4);
   R__insp.Inspect(R__cl, R__parent, "conc5", &conc5);
   R__insp.Inspect(R__cl, R__parent, "conc6", &conc6);
   R__insp.Inspect(R__cl, R__parent, "conc7", &conc7);
   R__insp.Inspect(R__cl, R__parent, "conc8", &conc8);
   R__insp.Inspect(R__cl, R__parent, "conc9", &conc9);
   R__insp.Inspect(R__cl, R__parent, "conc10", &conc10);
   R__insp.Inspect(R__cl, R__parent, "asymx", &asymx);
   R__insp.Inspect(R__cl, R__parent, "asymy", &asymy);
   R__insp.Inspect(R__cl, R__parent, "phiasym", &phiasym);
   TObject::ShowMembers(R__insp, R__parent);
}

